package com.sw.common.accessory.server.service;

import com.sw.common.accessory.server.entity.AccessoryPart;
import com.sw.common.accessory.server.entity.AccessoryPartDetails;
import com.sw.common.mybatisplus.base.BaseService;

import java.util.List;

public interface AccessoryPartDetailsService extends BaseService<AccessoryPartDetails> {


    List<AccessoryPartDetails> getByMaterialCode(String materialCode);
    List<AccessoryPartDetails> getByPartCode(String partCode);
    List<AccessoryPartDetails> getByDeviceTypeCode(String deviceTypeCode);
    List<AccessoryPartDetails> getByDeviceCode(String deviceCode);
    AccessoryPartDetails getByCode(String deviceTypeCode, String deviceCode, String materialCode, String partCode);
    List<AccessoryPartDetails> getByNotDeviceCode(String deviceTypeCode, String materialCode, String partCode);
    Boolean deleteByCode(String deviceTypeCode,String materialCode,String partCode);

    AccessoryPartDetails getByDeviceCodeAndMaterialCode(String deviceCode, String materialCode);
}
